#
# spec file for package yast2-cim (Version 2.13.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx bzip2 cim-schema coreutils cpio cpp cracklib cvs cyrus-sasl db dejagnu diffutils doxygen e2fsprogs expect file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libpng libstdc++ libstdc++-devel libtool libxcrypt libxcrypt-devel libxml2 libxml2-devel liby2util liby2util-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl openssl-devel openwbem openwbem-devel pam pam-modules patch pcre pcre-devel perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcl tcpd texinfo timezone unzip util-linux vim yast2-core yast2-core-devel yast2-devtools zlib zlib-devel

Name:           yast2-cim
BuildRequires:  dejagnu doxygen gcc-c++ libxcrypt-devel openssl-devel openwbem-devel yast2-core-devel yast2-devtools
URL:            http://www.suse.com
Version:        2.13.1
Release:        13.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-cim-2.13.1.tar.bz2
prefix:		/usr
Summary:        YaST2 - CIM Bindings

%description
This package adds Common Information Model (CIM) software bindings to
YaST2. These bindings provide a client interface to the Common
Information Model Object Manager (CIMOM).



Authors:
--------
    Anas Nashif <nashif@suse.de>
    Stanislav Visnovsky <visnov@suse.cz>

%debug_package
%prep
%setup -n yast2-cim-2.13.1

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_libdir}/YaST2/plugin/libpy2CIM.so.*
%{_libdir}/YaST2/plugin/libpy2CIM.so
%{_libdir}/YaST2/plugin/libpy2CIM.la
%doc %{prefix}/share/doc/packages/yast2-cim

%changelog -n yast2-cim
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Sep 29 2005 - jsuchome@suse.cz
- removed redundant call of getInstance function (#116065)
- 2.13.1
* Thu Sep 22 2005 - jsuchome@suse.cz
- added openssl-devel to NFB to fix build
- 2.13.0
* Mon Aug 08 2005 - jsuchome@suse.cz
- fixed NFB
- 2.12.3
* Mon Jul 11 2005 - jsuchome@suse.cz
- fixed NFB
- 2.12.2
* Fri Jun 10 2005 - jsuchome@suse.cz
- fixed missing declaration of virtual function (yxu@suse.de)
- 2.12.1
* Thu May 26 2005 - visnov@suse.cz
- gcc4 fixes
- 2.12.0
* Tue Nov 02 2004 - visnov@suse.cz
- fixed parallel build
- 2.11.2
* Sat Oct 30 2004 - nashif@suse.de
- Added pkgconfig to neededforbuild
* Wed Oct 27 2004 - nashif@suse.de
- Fixed Makefile for lib64
* Fri Sep 24 2004 - nashif@suse.de
- Initial version
